Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706866 - app-emulation/simh-3.9.0-r1 : fails to build with -fno-common or gcc-10
Summary: app-emulation/simh-3.9.0-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sergei Trofimovich
URL: https://github.com/simh/simh/issues/794
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:26 UTC by Toralf Förster
Modified: 2020-01-30 08:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.98 KB, text/plain)
2020-01-28 18:26 UTC, Toralf Förster
Details
app-emulation:simh-3.9.0-r1:20200128-043713.log (app-emulation:simh-3.9.0-r1:20200128-043713.log,18.12 KB, text/plain)
2020-01-28 18:26 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,174.51 KB, text/plain)
2020-01-28 18:26 UTC, Toralf Förster
Details
environment (environment,82.71 KB, text/plain)
2020-01-28 18:26 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.36 KB, application/x-bzip)
2020-01-28 18:26 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,726 bytes, application/x-bzip)
2020-01-28 18:27 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:26:40 UTC
x86_64-pc-linux-gnu-gcc -std=c99 -U__STRICT_ANSI__  -O2 -pipe -march=native -fno-common -finline-functions -fgcse-after-reload -fpredictive-commoning -fipa-cp-clone -fno-unsafe-loop-optimizations -fno-strict-overflow -flto -fwhole-program -Wno-unused-result -I . -D_GNU_SOURCE -DUSE_READER_THREAD -DHAVE_DLOPEN=so  ALTAIR/altair_sio.c ALTAIR/altair_cpu.c ALTAIR/altair_dsk.c ALTAIR/altair_sys.c scp.c sim_console.c sim_fio.c sim_timer.c sim_sock.c sim_tmxr.c sim_ether.c sim_tape.c -I ALTAIR -o BIN/altair -lm -lrt -lpthread -ldl -lpcap -Wl,-O1 -Wl,--as-needed -flto -fwhole-program
mkdir -p BIN
x86_64-pc-linux-gnu-gcc -std=c99 -U__STRICT_ANSI__  -O2 -pipe -march=native -fno-common -finline-functions -fgcse-after-reload -fpredictive-commoning -fipa-cp-clone -fno-unsafe-loop-optimizations -fno-strict-overflow -flto -fwhole-program -Wno-unused-result -I . -D_GNU_SOURCE -DUSE_READER_THREAD -DHAVE_DLOPEN=so  AltairZ80/altairz80_cpu.c AltairZ80/altairz80_cpu_nommu.c AltairZ80/altairz80_dsk.c AltairZ80/disasm.c AltairZ80/altairz80_sio.c AltairZ80/altairz80_sys.c AltairZ80/altairz80_hdsk.c AltairZ80/altairz80_net.c AltairZ80/flashwriter2.c AltairZ80/i86_decode.c AltairZ80/i86_ops.c AltairZ80/i86_prim_ops.c AltairZ80/i8272.c AltairZ80/insnsd.c AltairZ80/mfdc.c AltairZ80/n8vem.c AltairZ80/vfdhd.c AltairZ80/s100_disk1a.c AltairZ80/s100_disk2.c AltairZ80/s100_disk3.c AltairZ80/s100_fif.c AltairZ80/s100_mdriveh.c AltairZ80/s100_mdsad.c AltairZ80/s100_selchan.c AltairZ80/s100_ss1.c AltairZ80/s100_64fdc.c AltairZ80/s100_scp300f.c AltairZ80/sim_imd.c AltairZ80/wd179x.c AltairZ80/s100_hdc1001.c AltairZ80/s100_if3.c AltairZ80/s100_adcs6.c scp.c sim_console.c sim_fio.c sim_timer.c sim_sock.c sim_tmxr.c sim_ether.c sim_tape.c -I AltairZ80 -o BIN/altairz80 -lm -lrt -lpthread -ldl -lpcap -Wl,-O1 -Wl,--as-needed -flto -fwhole-program
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /var/tmp/portage/app-emulation/simh-3.9.0-r1/temp/cc3TuJRG.o (symbol from plugin): in function `intr':
(.text+0x0): multiple definition of `intr'; /var/tmp/portage/app-emulation/simh-3.9.0-r1/temp/ccuAS6SE.o (symbol from plugin):(.text+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /var/tmp/portage/app-emulation/simh-3.9.0-r1/temp/ccsYj0ZG.o (symbol from plugin): in function `aad_word':

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 03:26:40 +0000

emerge -qpvO app-emulation/simh
[ebuild  N    ] app-emulation/simh-3.9.0-r1
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:26:44 UTC
Created attachment 606218 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:26:47 UTC
Created attachment 606220 [details]
app-emulation:simh-3.9.0-r1:20200128-043713.log
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:26:50 UTC
Created attachment 606222 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:26:53 UTC
Created attachment 606224 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:26:57 UTC
Created attachment 606226 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:27:00 UTC
Created attachment 606228 [details]
logs.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-01-30 08:30:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb100a85c7481ac78d7c95f035924f267aca798a

commit eb100a85c7481ac78d7c95f035924f267aca798a
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-01-30 08:30:36 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-01-30 08:30:53 +0000

    app-emulation/simh: bump up to 3.11.0, take package
    
    Reported-by: https://bugs.gentoo.org/706866
    Closes: https://bugs.gentoo.org/706866
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 app-emulation/simh/Manifest                        |  1 +
 app-emulation/simh/files/simh-3.11.0-fcommon.patch | 37 +++++++++++++
 .../simh/files/simh-3.11.0-fix-mkdir-race.patch    | 11 ++++
 .../simh/files/simh-3.11.0-respect-FLAGS.patch     | 13 +++++
 app-emulation/simh/metadata.xml                    |  5 +-
 app-emulation/simh/simh-3.11.0.ebuild              | 62 ++++++++++++++++++++++
 6 files changed, 128 insertions(+), 1 deletion(-)